QQ Music Charts

QQ Music top tracks chart. QUERY_GET_QQ_CHARTS merged with Track.getBasicInfoBatch("cm", isrcs, { isrcToggle: true }) and per-row historical rankStats via QUERY_GET_TRACK_RANKINGS.QQ.

Query Parameters
  • date
    Type: string Format: date-time

    Date for the time-slice (YYYY-MM-DD). Required unless latest=true.

  • latest
    Type: boolean

    If true, use the most recently available date and ignore date.

Responses
  • application/json
Request Example for get/api/charts/qq
curl https://api.chartmetric.com/api/charts/qq \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "length": null,
    "data": [
      {
        "id": 0,
        "name": null,
        "isrc": null,
        "image_url": null,
        "description": null,
        "tags": null,
        "cm_track": null,
        "cm_artist": [
          null
        ],
        "artist_names": [
          null
        ],
        "code2s": [
          null
        ],
        "artist_images": [
          null
        ],
        "artist_covers": [
          null
        ],
        "spotify_track_ids": [
          null
        ],
        "spotify_album_ids": [
          null
        ],
        "spotify_duration_ms": null,
        "itunes_track_ids": [
          null
        ],
        "itunes_album_ids": [
          null
        ],
        "itunes_artist_ids": [
          1
        ],
        "itunes_artist_names": [
          null
        ],
        "storefronts": [
          null
        ],
        "deezer_track_ids": [
          null
        ],
        "deezer_album_ids": [
          1
        ],
        "deezer_duration": null,
        "amazon_track_ids": [
          null
        ],
        "amazon_album_ids": [
          null
        ],
        "album_ids": [
          0
        ],
        "album_names": [
          null
        ],
        "album_upc": [
          null
        ],
        "album_label": [
          null
        ],
        "release_dates": [
          "2026-07-20T17:45:03.551Z"
        ],
        "created_at": "2026-07-20T17:45:03.551Z",
        "modified_at": "2026-07-20T17:45:03.551Z",
        "rank": null,
        "pre_rank": null,
        "peak_rank": null,
        "peak_date": "2026-07-20T17:45:03.551Z",
        "added_at": "2026-07-20T17:45:03.551Z",
        "velocity": null,
        "time_on_chart": "string",
        "qq": "string",
        "rankStats": [
          {
            "rank": null,
            "timestp": "2026-07-20T17:45:03.551Z"
          }
        ]
      }
    ]
  }
}